Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlGraphicImage.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlGraphicImage.PropertyKeys>
          javax.faces.component.html.HtmlGraphicImage.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlGraphicImage.PropertyKeys>

Enclosing class:
  HtmlGraphicImage

    protected static enum HtmlGraphicImage.PropertyKeys

extends java.lang.Enum<HtmlGraphicImage.PropertyKeys>

Enum Constant Summary
`alt`
`dir`
`height`
`ismap`
`lang`
`longdesc`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`title`
`usemap`
`width`

Method Summary
`java.lang.String` | `toString()`
`static HtmlGraphicImage.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlGraphicImage.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### alt

    public static final HtmlGraphicImage.PropertyKeys alt

### dir

    public static final HtmlGraphicImage.PropertyKeys dir

### height

    public static final HtmlGraphicImage.PropertyKeys height

### ismap

    public static final HtmlGraphicImage.PropertyKeys ismap

### lang

    public static final HtmlGraphicImage.PropertyKeys lang

### longdesc

    public static final HtmlGraphicImage.PropertyKeys longdesc

### onclick

    public static final HtmlGraphicImage.PropertyKeys onclick

### ondblclick

    public static final HtmlGraphicImage.PropertyKeys ondblclick

### onkeydown

    public static final HtmlGraphicImage.PropertyKeys onkeydown

### onkeypress

    public static final HtmlGraphicImage.PropertyKeys onkeypress

### onkeyup

    public static final HtmlGraphicImage.PropertyKeys onkeyup

### onmousedown

    public static final HtmlGraphicImage.PropertyKeys onmousedown

### onmousemove

    public static final HtmlGraphicImage.PropertyKeys onmousemove

### onmouseout

    public static final HtmlGraphicImage.PropertyKeys onmouseout

### onmouseover

    public static final HtmlGraphicImage.PropertyKeys onmouseover

### onmouseup

    public static final HtmlGraphicImage.PropertyKeys onmouseup

### style

    public static final HtmlGraphicImage.PropertyKeys style

### styleClass

    public static final HtmlGraphicImage.PropertyKeys styleClass

### title

    public static final HtmlGraphicImage.PropertyKeys title

### usemap

    public static final HtmlGraphicImage.PropertyKeys usemap

### width

    public static final HtmlGraphicImage.PropertyKeys width

Method Detail

### values

    public static HtmlGraphicImage.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlGraphicImage.PropertyKeys c : HtmlGraphicImage.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlGraphicImage.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlGraphicImage.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.